Subject: bug#52063: 28.0.60; Confusing presentation of lambda

From: Michael Heerdegen <[email-masked]>
Date: Tue, 30 Nov 2021 15:07:30 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> But, yes, it would mean that people might be tempted to write actual
> code like
>
> (lambda ()
>   (declare (lexical-binding (foo . 1)))
>   ...)
>
> but people might be tempted to do the same with `closure' forms, and
> that doesn't seem to be happening.

But the above idea is a step in the direction to make closures look even
more like code.  Declarations are a coding thing.  I think we would
regret that very soon.  Kind of "what happened to my lambda, who added
these declarations?" (if that sounded ironically: this is not intended).

Michael.